> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Update an entry PUT https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/releases/{release_id}/entries/{entry_id} Content-Type: application/vnd.contentful.management.v1+json Updates a release entry by ID. Include the current version in `X-Contentful-Version`; content type ID is not required in the payload. Reference: https://contentful.com/developers/docs/references/content-management-api/timeline-entries/update-an-entry ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string - `release_id` (string, required) — ID of the release in form of a string - `entry_id` (string, required) — ID of the entry in form of a string ### Headers - `X-Contentful-Version` (string, required) — Version of the entry to update ### Body (application/vnd.contentful.management.v1+json) This endpoint expects a map from string to any. - `map from string to any` ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Request** ```json { "fields": { "body": { "en-US": "Bacon is healthy!" }, "title": { "en-US": "Hello, World!" } }, "metadata": { "tags": [ { "sys": { "id": "nyCampaign", "linkType": "Tag", "type": "Link" } } ] } } ``` **Response** ```json { "fields": { "body": { "en-US": "Bacon is healthy!" }, "title": { "en-US": "Hello, World!" } }, "metadata": { "tags": [ { "sys": { "id": "nyCampaign", "linkType": "Tag", "type": "Link" } } ] }, "sys": { "contentType": { "sys": { "id": "hfM9RCJIk0wIm06WkEOQY", "linkType": "ContentType", "type": "Link" } }, "createdAt": "2025-07-25T23:41:38.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "environment": { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } }, "id": "5KsDBWseXY6QegucYAoacS", "release": { "sys": { "id": "black", "linkType": "Release", "type": "Link" } }, "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "Entry", "updatedAt": "2025-07-25T23:41:38.000Z", "updatedBy": { "sys": { "id": "4FLrUHftHW3v2BLi9fzfjU", "linkType": "User", "type": "Link" } }, "version": 1 } } ``` **SDK Code** ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = createClient({ accessToken: '' }) const entry = await client.release.entry.get({ spaceId: '', environmentId: '', releaseId: '', entryId: '', }); await client.release.entry.update( { spaceId: '', environmentId: '', releaseId: '', entryId: '', }, { sys: entry.sys, fields: { title: { 'en-US': 'New entry title', }, }, } ); ``` ```android Android No snippet for this SDK. ``` ```java Java No snippet for this SDK. ``` ```kotlin Kotlin No snippet for this SDK. ``` ```swift Swift No snippet for this SDK. ``` ```js-legacy JavaScript (legacy) No snippet for this SDK. ``` ```php PHP No snippet for this SDK. ``` ```ruby Ruby No snippet for this SDK. ``` ```python Python No snippet for this SDK. ``` ```.net .NET No snippet for this SDK. ```